unit uWuerfeln_2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, Buttons;

type
  TForm1 = class(TForm)
    AnzahlEin: TEdit;
    Label1: TLabel;
    Ausgabe: TButton;
    Button1: TButton;
    StatistikAus: TStringGrid;
    procedure AbbruchClick(Sender: TObject);
    procedure AusgabeClick(Sender: TObject);
    procedure Start(Sender: TObject);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Anzahl : array[1..6] of integer;
implementation
procedure TForm1.Start(Sender: TObject);
begin
  StatistikAus.Cells[0,0]:='Zahl';
  StatistikAus.Cells[1,0] := 'gewürfelt';
  StatistikAus.Cells[2,0] := 'Wahrscheinlichkeit';
end;
{$R *.DFM}

procedure TForm1.AbbruchClick(Sender: TObject);
begin
  close;
end;

procedure TForm1.AusgabeClick(Sender: TObject);
var Zufallszahl,i, n : integer;
begin
  for i := 1 to 6 do
    anzahl[i]:=0;
    Randomize;
  if AnzahlEin.Text <>''
      then n := strtoint(AnzahlEin.text)
      else n := 0;

   for i := 1 to n do
     begin
       Zufallszahl := Random(6)+1;
       case Zufallszahl of
        1: Anzahl[1] := Anzahl[1]+1;
        2: Anzahl[2] := Anzahl[2]+1;
        3: Anzahl[3] := Anzahl[3]+1;
        4: Anzahl[4] := Anzahl[4]+1;
        5: Anzahl[5] := Anzahl[5]+1;
        6: Anzahl[6] := Anzahl[6]+1;
        end;
      end;
   for i := 1 to 6 do
      begin;
         StatistikAus.Cells[0,i] := format('%6d',[i]);
         StatistikAus.Cells[1,i] := format('%8d',[Anzahl[i]]);
         StatistikAus.Cells[2,i] := format('%15.3f',[Anzahl[i]/n]);
      end;
end;

end.
